CREATE OR REPLACE VIEW public.vw_bi_itsa_fct_contract_fees AS
 SELECT "intFeeId",
    "strContractType" AS "Contract Type",
    "intContractLineId",
    "strPackaging" AS "Packaging",
    "strPayOrRec" AS "Pay or Rec",
    "strType" AS "Type",
    "strProduct" AS "Fee",
    "strSupplier" AS "Supplier",
    "strState" AS "State",
    "strWeightType" AS "Weighing Type",
    "dblQuantity" AS "Quantity",
    ("dblPrice" * ("dblSignMultiplier")::numeric) AS "Price",
    "strCurrency" AS "Currency",
    "strUnit" AS "Unit",
    (("dblQuantity" * "dblPrice") * ("dblSignMultiplier")::numeric) AS "Amount",
        CASE
            WHEN (upper(("strProduct")::text) = 'MARITIME FREIGHT'::text) THEN 'Freight'::character varying
            WHEN (upper(("strProduct")::text) = 'PROFIT SHARING'::text) THEN 'Profit Sharing'::character varying
            ELSE 'Other Costs'::character varying
        END AS "Cost Group"
   FROM vw_utility_contract_fees;;
